/*
 * SvargaBhumi - admin.css 1.0
 * Copyright 2021 BaristaSoft.
 */

 @import url('https://fonts.googleapis.com/css2?family=Cinzel:wght@500;600;700&display=swap');
 @import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,500;0,700;1,500&display=swap');
 

:root {
  --primary-color: #303030;
  --secondary-color: #808080;
  --dark-color: #303030;
  --light-color: #f0f0f0;
  --success-color: #008cff;
  --error-color: #ff0800;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: 'Montserrat', sans-serif;
  color: #333;
  line-height: 1.6;
}

ul {
  list-style-type: none;
}

a {
  text-decoration: none;
  color: #333;
}

h1, h2, h3, h4, h5 {
  font-family: 'Comfortaa', sans-serif;
}

h1, h2 {
  font-weight: bold;
  line-height: 1.2;
  margin: 10px 0;
}

h3 {
  font-weight: bold;
}

h4, h5 {
  font-weight: 300;
  color: gray;
}

p {
  margin: 10px 0;
}

hr {
  margin-top: 20px;
  margin-bottom: 10px;
  border-top: 1px solid lightgray;
}

img {
  width: 100%;
}

.code,
pre {
  background-color: #333;
  color: #fff;
  padding: 10px;
}

.pb {
  display: flex;
  position: fixed;
  top: 0;
  left: 0;
  background-color: #fff;
  width: 100vw;
  height: 100vh;
  z-index: 10;
}

.pb img {
  margin: auto;
  width: 50px;
  height: 50px;
}

.pb-rotate {
  animation: rotate 2s infinite linear;
}

.logo-editor {
  width: auto;
  height: 110px;
  padding: 5px 0;
}

.logo-editor:hover {
  cursor: pointer;
}

.menu,
.close {
  width: 25px;
  height: 30px;
  padding: 5px 0 5px 5px;
  margin: auto 0 auto 20px;
}

.menu:hover,
.close:hover {
  cursor: pointer;
}

.menu-close {
  display: flex;
  height: 110px;
}

.menu-contents {
  position: fixed;
  top: 0;
  right: 0;
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.15);
  width: 50vw;
  height: calc(100vh);
  font-family: 'Montserrat', sans-serif;
  z-index: 5;
}

.menu-contents nav {
  display: none;
}

.menu-contents .contents {
  display: flex;
  flex-direction: column;
  align-items: center;
  align-content: center;
  width: 100%;
}

.menu-contents .contents div {
  margin-bottom: 50px;
  max-width: 300px;
}

.menu-contents .contents p {
  color: rgba(255, 255, 255, 0.5);
}

.menu-contents .container {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.menu-contents .social {
  font-size: .85rem;
}

.head .container,
.products-head .container,
.team-head .container,
.contact-head .container {
  padding-top: 110px;
}

.navbar {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;;
  background-color: #333;
  color: #fff;
  height: 120px;
  box-shadow: 0 3px 10px rgba(0, 0, 0, 0.1);
/*border-radius: 0 0 20px 20px;*/
  margin-bottom: 5px;
  font-family: 'Montserrat', sans-serif;
  z-index: 10;
}

.navbar ul {
  display: flex;
}

.navbar a {
  color: #fff;
  padding: 10px;
  margin: 0 5px;
}

.navbar a:hover {
  border-bottom: 2px var(--primary-color) solid;
}

.navbar .flex {
  justify-content: start;
}

.navbar .active {
  border-bottom: 1px solid #a0a0a0;
}

/* Editor */
.editor .card {
  overflow-y: scroll;
  max-height: 100vh;
}

.editor-head {
  padding-top: 150px;
}

.editor-head img {
  width: 200px;
  justify-self: flex-end;
}

.editor section {
  padding: 30px 0;
  border-bottom: lightgray 1px solid;
}

.editor-main {
  margin: 20px 0;
  min-height: calc(100vh - 350px - 4rem - 100px);
}

.editor-main > .grid:first-child {
  grid-template-columns: 1fr 3fr;
  align-items: flex-start;
  overflow-x: hidden;
}

.editor-main nav a li {
  font-size: 17px;
  padding-bottom: 5px;
  margin-bottom: 5px;
  border-bottom: 1px #ccc solid;
}

.editor-main nav a li:hover,
a[id^="sba-menu-"] li.active {
  border-bottom: 1px #333 solid !important;
}

.editor-main .flex {
  justify-content: space-between;
  align-items: center;
}

.location-categories {
  display: flex;
  flex-wrap: wrap;
  margin: 5px 0;
}

.location-categories div {
  border: 1px solid silver;
  border-radius: 1rem;
  margin: 0 5px 5px 0;
  padding: 0 10px;
}

.location-categories div:hover {
  cursor: pointer;
  background: #f0f0f0;
}

.location-categories div.active {
  cursor: pointer;
  background: orange;
  color: white;
}

select,
input[type="text"],
input[type="number"],
input[type="tel"],
input[type="email"],
input[type="datetime-local"],
textarea:focus {
  outline-color: gray;
}

select,
input[type="text"],
input[type="number"],
input[type="tel"],
input[type="email"],
input[type="datetime-local"],
textarea {
  width: 100%;
  padding: 5px;
  margin: 5px 0;
  font-size: 1rem;
  border: 1px lightgray solid;
  border-radius: 5px;
  font-family: 'Montserrat', sans-serif;
  color: darkslategray;
  resize: vertical;
}

textarea {
  margin: 0 0 3px 0;
}

.units .database,
.units .database-switch {
  display: grid;
  grid-template-columns: 1fr 3fr;
  row-gap: 0px;
  column-gap: 10px;
}

.unit .flex,
.staff .flex,
.project .flex,
.progress .flex,
.document .flex,
.edit-image .flex,
.video .flex {
  gap: 10px;
}

.content-scroll-y {
  overflow-y: scroll;
}

label {
  color: silver;
  min-width: 25%;
}

::placeholder {
  color: lightgray;
  opacity: 1;
}

.editor h3,
.manager h3,
.docs h3 {
  margin: 20px 0 5px 0;
}

.editor .btn {
  margin-top: 10px;
}

.collapse:hover {
  cursor: pointer;
}

.collapse + nav {
  transition: 1s;
}

.contact .grid {
  grid-template-columns: 1fr 1fr;
}

/* Manager */
.manager .flex {
  justify-content: space-between;
  align-items: center;
}

.manager-table,
.locations-table {
  width: 100%;
  overflow-x: auto;
}

.card.home,
.card.progress,
.card.staffs,
.card.projects,
.card.units,
.card.locations {
  max-width: 90vw;
}

.manager table tbody, 
.locations-table tbody {
  overflow: auto;
}

.manager th,
.editor th {
  border: 1px solid #f0f0f0;
  padding: 5px 1rem;
}

.manager td,
.editor td {
  background-color: #f0f0f0;
  border: 1px solid #fff;
  padding: 5px 1rem;
}

.manager td:hover
.editor td:hover {
  cursor: pointer;
}

/* Docs */
.docs .image-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-content: center;
  align-items: center;
  height: 100%;
  gap: 5px;
}

.docs .image-grid > div {
  position: relative;
  padding-top: 100%;
  width: 100%;
}

.docs .image-grid img {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.docs .flex {
  justify-content: space-between;
  align-items: center;
}

.docs li {
  padding: 5px 0;
}

.docs li div:hover {
  cursor: pointer;
}

/* Image uploader */
.mediaform {
}

.preview{
    position: relative;
    max-width: 300px;
    background: white;
}

.preview input[type="file"] {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  filter: alpha(opacity=0);
  z-index: 5;
}

.preview input:hover {
  cursor: pointer;
}

.placeholder {
  width: 180px;
  height: 180px;
  object-fit: cover;
  border-radius: 50%;
}

.image {
  position: absolute;
  top: 0;
  left: 0;
  width: 180px;
  height: 180px;
  object-fit: cover;
  border-radius: 50%;
}

/* Modal */
.btn-delete {
  background-color: transparent;
  box-shadow: none;
  color: grey;
  padding: 2rem 1rem 0 1rem !important;
}

.modal-pb {
  background: #f0f0f0;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

/* Footer */
.footer {
  display: flex;
  align-items: center;
  font-family: 'Montserrat', sans-serif;
  font-size: 0.9rem;
  height: 100px;
}

.footer .container {
  display: flex;
  align-items: center;
  margin: auto;
}

.footer .grid {
  grid-template-columns: 50% 25% 25%;
}

.footer img {
  height: 1.5rem;
  width: auto;
}

.social {
  display: flex;
  gap: 10px;
  margin: 10px 0;
}

.social a {
  margin: 0;
}

.social a:hover {
  opacity: 0.8;
}


/* Animations */
@keyframes fadeEffect {
  0%   { opacity: 1.00; }
  50%  { opacity: 0.25; }
  100% { opacity: 1.00; }
}

@keyframes rotate {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

@keyframes slideInFromLeft {
  0% { transform: translateX(-100%); }
  100% { transform: translateX(0); }
}

@keyframes slideInFromRight {
  0% { transform: translateX(100%); }
  100% { transform: translateX(0); }
}

@keyframes slideInFromTop {
  0% { transform: translateY(-100%); }
  100% { transform: translateY(0); }
}

@keyframes slideInFromBottom {
  0% { transform: translateY(100%); }
  100% { transform: translateY(0); }
}

@keyframes slideOutToBottom {
  0% { transform: translateY(0); }
  100% { transform: translateY(100%); }
}

/* Tablets and under */
@media(max-width: 767px) {
  .grid,
  .editor-head .grid,
  .editor-main .grid,
  .footer .grid {
    grid-template-columns: 1fr !important;
    grid-template-rows: 1fr;
  }

  .editor-head img {
    justify-self: center;
  }
}

/* Mobile */
@media(max-width: 500px) {
  .navbar {
    height: 150px;
  }

  .navbar .container {
  }

  .navbar .container,
  .menu-contents .container {
    padding: 0 20px;
  }

  .menu-contents li {
    padding: 10px 0px;
  }

  .navbar .flex {
    flex-direction: column;
  }

  .navbar ul {
  }

  .navbar li {
    padding: 0;
  }

  .navbar a {
    padding: 5px 10px;
    font-size: 0.9rem;
  }

  .navbar a:hover {
    border-bottom: none;
  }

  .units .database,
  .units .database-switch {
    grid-template-columns: 1fr 2fr;
    align-items: center;
  }

  .unit .flex,
  .staff .flex,
  .project .flex,
  .progress .flex,
  .document .flex,
  .edit-image .flex,
  .video .flex {
    flex-direction: column;
    align-items: flex-start;
    gap: 0;
  }
}